Bug 1311306 - self_service Dynamic Dropdowns Don't Refresh
self_service Dynamic Dropdowns Don't Refresh
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Allen W
Dave Johnson
ssui:dialog
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 16:29 EST by Dustin Boyd
Modified: 2016-11-08 11:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-08 11:00:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dustin Boyd 2016-02-23 16:29:56 EST
Description of problem:
Normal service dialog has dynamic dropdowns doing ldapsearch queries based upon other service dialog data. One dialog is selected that should be refreshing values on other elements.


Version-Release number of selected component (if applicable):
5.5.2.4.20160127105142_395c086


How reproducible:
Every time with this ldap code that works in normal Service Catalog.


Steps to Reproduce:
1. Create a service dialog with ldapsearch hash values for a dynamic dropdown that depend on other dialog elements. (i.e. project has to have the program selected first).
2. Login to the self_service portal
3. Navigate to Service Catalog and deploy from the service dialog and try to deploy with more than 1 dynamic dropdown

Actual results:
Only the first dynamic dialog has a valid value and the subsequent dialogs are never updated.

Expected results:
Once 1 dropdown is selected, the next dropdowns should populate.

Additional info:
Works correctly in normal Service Catalog with this code, but no in self_service.
Comment 2 Allen W 2016-11-07 17:01:31 EST
woah this is an oldie, lets see what can be done 🤔
Comment 3 Allen W 2016-11-07 17:01:45 EST
woah this is an oldie, lets see what can be done 🤔
Comment 4 Allen W 2016-11-08 08:52:33 EST
Hi Dustin!  Was wondering if you could walk me through the steps to reproduce this bug, not presently able to follow along given current information. 🙇🏽
Comment 5 Allen W 2016-11-08 08:52:43 EST
Hi Dustin!  Was wondering if you could walk me through the steps to reproduce this bug, not presently able to follow along given current information. 🙇🏽
Comment 6 Allen W 2016-11-08 11:00:10 EST
After reaching out to Dustin, it appears this BZ is the result of a misalignment of expectation and actual functionality.   SUI presently does not support the dynamic dropdown functionality of the OPSUI as described in the BZ. Presently no api endpoints to support this functionality exist, which further indicates this is a feature request rather than a blocker or a bug. 

As this is neither a blocker or bug, closing this issue for now.
Comment 7 Allen W 2016-11-08 11:00:27 EST
After reaching out to Dustin, it appears this BZ is the result of a misalignment of expectation and actual functionality.   SUI presently does not support the dynamic dropdown functionality of the OPSUI as described in the BZ. Presently no api endpoints to support this functionality exist, which further indicates this is a feature request rather than a blocker or a bug. 

As this is neither a blocker or bug, closing this issue for now.

Note You need to log in before you can comment on or make changes to this bug.